nova-novncproxy is not running; Suggest: novnc should be Depends

Bug #1066845 reported by Eduard Eleonora on 2012-10-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Low
Unassigned
nova (Ubuntu)
High
James Page
Quantal
High
Louis Bouchard
Raring
High
James Page

Bug Description

When I want to start novnc on controller node I got the following message:
nova-novncproxy is not running

I'm using OpenStack Folsom with Quantum and OpenVswitch plugin. (I'm using the packages in Folsom Trunk Testing)
I've a network node that's running:
- quantum-plugin-openvswitch-agent
- quantum-l3-agent
- quantum-dhcp-agent

Cloud controller runs:
- rabbitmq
- nova-api
- nova-scheduler
- nova-keystone
- nova-consoleauth
- nova-console
- quantum-server

Compute node runs
- nova-compute-qemu
- quantum-plugin-openvswitch-agent

nova.conf controller

[DEFAULT]
# LOGS/STATE
#root_helper=sudo nova-rootwrap /etc/nova/rootwrap.conf
rootwrap_config=/etc/nova/rootwrap.conf
verbose=True
logdir=/var/log/nova
state_path=/var/lib/nova
lock_path=/var/lock/nova
# AUTHENTICATION
auth_strategy=keystone
# SCHEDULER
compute_scheduler_driver=nova.scheduler.filter_scheduler.FilterScheduler

# VOLUMES
volume_group=nova-volumes
volume_name_template=volume-%08x
iscsi_helper=tgtadm

# DATABASE
sql_connection=mysql://nova:pass@controllerIP/nova

#libvirt_vif_driver=nova.virt.libvirt.vif.LibvirtHybirdOVSBridgeDriver

# COMPUTE
libvirt_type=qemu
compute_driver=libvirt.LibvirtDriver
#instance_name_template=instance-%08x
api_paste_config=/etc/nova/api-paste.ini
allow_resize_to_same_host=True

# APIS
#osapi_compute_extension=nova.api.openstack.compute.contrib.standard_extensions
#Bec2_dmz_host= controllerIP
#s3_host= controllerIP

# NOVNC CONSOLE
novnc_enabled=true
novncproxy_base_url=http://controllerIP:6080/vnc_auto.html
# Change vncserver_proxyclient_address and vncserver_listen to match each
#compute host
#vncserver_proxyclient_address=
#vncserver_listen=

# RABBITMQ
rabbit_host= controllerIP
cc_host= controllerIP
# GLANCE
image_service=nova.image.glance.GlanceImageService
glance_api_servers=controllerIP:9292

#Quantum
network_api_class=nova.network.quantumv2.api.API
quantum_url=http://controllerIP:9696
quantum_auth_strategy=keystone
quantum_admin_tenant_name=service
quantum_admin_username=quantum
quantum_admin_password=Pass
quantum_admin_auth_url=http://controllerIP:35357/v2.0

# needed only for nova-compute
libvirt_ovs_bridge=br-int
libvirt_vif_type=ethernet
libvirt_use_virtio_for_bridges=True
libvirt_vif_driver=nova.virt.libvirt.vif.LibvirtOpenVswitchDriver

#[keystone_authtoken]
auth_host = controllerIP
auth_port = 35357
auth_protocol = http
auth_uri = controllerIP:5000/
admin_tenant_name = service
admin_user = nova
admin_password = PAss

nova.conf file compute-node

[DEFAULT]
# LOGS/STATE
#root_helper=sudo nova-rootwrap /etc/nova/rootwrap.conf
rootwrap_config=/etc/nova/rootwrap.conf
verbose=True
logdir=/var/log/nova
state_path=/var/lib/nova
lock_path=/var/lock/nova
# AUTHENTICATION
auth_strategy=keystone
# SCHEDULER
compute_scheduler_driver=nova.scheduler.filter_scheduler.FilterScheduler

# VOLUMES
volume_group=nova-volumes
volume_name_template=volume-%08x
iscsi_helper=tgtadm

# DATABASE
sql_connection=mysql://nova:pass@controllerIP/nova

#libvirt_vif_driver=nova.virt.libvirt.vif.LibvirtHybirdOVSBridgeDriver

# COMPUTE
libvirt_type=qemu
compute_driver=libvirt.LibvirtDriver
#instance_name_template=instance-%08x
api_paste_config=/etc/nova/api-paste.ini
allow_resize_to_same_host=True

# APIS
#osapi_compute_extension=nova.api.openstack.compute.contrib.standard_extensions
#Bec2_dmz_host= controllerIP
#s3_host= controllerIP

# NOVNC CONSOLE
novnc_enabled=true
novncproxy_base_url=http://controllerIP:6080/vnc_auto.html
# Change vncserver_proxyclient_address and vncserver_listen to match each
#compute host
#vncserver_proxyclient_address=Compute-nodeIP
#vncserver_listen=Compute-nodeIP

# RABBITMQ
rabbit_host= controllerIP
cc_host= controllerIP
# GLANCE
image_service=nova.image.glance.GlanceImageService
glance_api_servers=controllerIP:9292

#Quantum
network_api_class=nova.network.quantumv2.api.API
quantum_url=http://controllerIP:9696
quantum_auth_strategy=keystone
quantum_admin_tenant_name=service
quantum_admin_username=quantum
quantum_admin_password=Pass
quantum_admin_auth_url=http://controllerIP:35357/v2.0

# needed only for nova-compute
libvirt_ovs_bridge=br-int
libvirt_vif_type=ethernet
libvirt_use_virtio_for_bridges=True
libvirt_vif_driver=nova.virt.libvirt.vif.LibvirtOpenVswitchDriver

#[keystone_authtoken]
auth_host = controllerIP
auth_port = 35357
auth_protocol = http
auth_uri = controllerIP:5000/
admin_tenant_name = service
admin_user = nova
admin_password = PAss

Chuck Short (zulcss) wrote :

Which version are you using?

Changed in nova:
importance: Undecided → Low
status: New → Incomplete
Eduard Eleonora (ecj-eleonora) wrote :

I'm using novnc of the packages in Folsom Trunk Testing
Where can I find the version?

Vish Ishaya (vishvananda) wrote :

nova-novncproxy is not listed in your (Cloud controller runs:) block above. You need to run it if you want to use novncy

Eduard Eleonora (ecj-eleonora) wrote :

I installed nova-novncproxy and restarted the controller node. Doing service novnc start the same error: nova-novncproxy is not running.

Vish Ishaya (vishvananda) wrote :

This sounds like a packaging issue, not a nova issue.

James Page (james-page) wrote :

Hi Eduard

Can you check in /var/log/upstart/nova-novncproxy.log for:

Traceback (most recent call last):
  File "/usr/bin/nova-novncproxy", line 29, in <module>
    import websockify
ImportError: No module named websockify

I think two dependencies are missing: websockify and novnc.

summary: - nova-novncproxy is not running
+ nova-novncproxy is not running; missing deps on websockify and novnc
Changed in nova (Ubuntu):
status: New → Triaged
Changed in nova:
status: Incomplete → Invalid
Changed in nova (Ubuntu):
importance: Undecided → High
Changed in nova (Ubuntu Quantal):
status: New → Triaged
importance: Undecided → High

Hi James,
Thnx for your help but, I can't check that anymore I've changed the package repository and now everything works. The package repository Folsom Trunk Testing from :https://launchpad.net/~openstack-ubuntu-testing/+archive/folsom-trunk-testing
has this problem.
The packages repository: http://ubuntu-cloud.archive.canonical.com/ubuntu precise-updates/folsom works fine. So the missing dependencies are in the package repository folsom-trunk-testing.

James Page (james-page) on 2012-11-16
Changed in nova (Ubuntu Raring):
importance: High → Low
summary: - nova-novncproxy is not running; missing deps on websockify and novnc
+ nova-novncproxy is not running; Suggest: novnc should be Depends
Changed in nova (Ubuntu Quantal):
importance: High → Low
Chuck Short (zulcss) on 2012-12-11
Changed in nova (Ubuntu Raring):
status: Triaged → Fix Released
James Page (james-page) on 2013-03-22
Changed in nova (Ubuntu Raring):
status: Fix Released → In Progress
assignee: nobody → James Page (james-page)
importance: Low → High
Changed in nova (Ubuntu Quantal):
importance: Low → High
Louis Bouchard (louis) on 2013-03-22
Changed in nova (Ubuntu Quantal):
assignee: nobody → Louis Bouchard (louis-bouchard)
James Page (james-page) on 2013-03-26
Changed in nova (Ubuntu Raring):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2013.1~rc2-0ubuntu1

---------------
nova (1:2013.1~rc2-0ubuntu1) raring; urgency=low

  [ James Page ]
  * d/control: Promote novnc and websockify to Depends for
    nova-novncproxy (LP: #1066845).

  [ Chuck Short ]
  * New upstream release.
 -- Chuck Short <email address hidden> Tue, 02 Apr 2013 08:44:39 -0500

Changed in nova (Ubuntu Raring):
status: Fix Committed → Fix Released
Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in nova (Ubuntu Quantal):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers